Summary: PostScript pretty printers and Motif based GUI.
Name: mpdist
Version: 3.3.5
Release: 2
Source: http://java.sun.com/people/richb/RichApps/mp/mp.tar.Z
Patch: mpdist.linux.patch
Copyright: GPL, sort of...
Group: Utilities/Printing
URL: http://java.sun.com/people/richb
Buildroot: /tmp/mpdist

%changelog
* Fri Jul 17 1998 Christian Joensson <chj@lin.foa.se>
  [mpdist-3.3.5-2]
  - Correct missing /usr/lib/mp dir hier and symbolic links.

* Fri Jul 17 1998 Christian Joensson <chj@lin.foa.se>
  [mpdist-3.3.5-1]
  - Create.

%description
The mp distribution now consists of two programs, mp and mptool.

The mp program will pretty print various files for you. It can be used
in conjunction with a mail reading utility for producing a pretty print
of your mail items. It can be used with a news reading tool to pretty
print news articles. Digests can also be printed, and this version can
pretty print ordinary ASCII files as well. Support for personal organiser
printing was added into the last released version. There are numerous 
configuration options to allow you to adjust the way mp generates it's
output.

The mptool program is a graphical frontend to mp. It makes it easy to
configure the printout of your documents without having to remember lots
of complicated command line arguments. It also supports drag and drop of
text from other Motif applications.

This package is statically linked with Motif 2.1 for Linux. It has
some localizations problems...

%prep
%setup -n mpdist
%patch -p1

rm -rf		$RPM_BUILD_ROOT
mkdir -p	$RPM_BUILD_ROOT/usr/bin
mkdir -p	$RPM_BUILD_ROOT/usr/man/man1
mkdir -p	$RPM_BUILD_ROOT/usr/lib

%build

make -f Makefile.static.libXm all


%install
make MPPATH=$RPM_BUILD_ROOT/usr install -f Makefile.static.libXm
strip $RPM_BUILD_ROOT/usr/bin/mp $RPM_BUILD_ROOT/usr/bin/mptool

%clean
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
   rm -rf $RPM_BUILD_ROOT
fi


%files
%attr(-,root,root) %doc CHANGES FILES README TODO mp.el mp.tcsh
%attr(-,root,root) /usr/bin/mp*
%attr(-,root,root) /usr/bin/mimep
%attr(-,root,root) /usr/bin/mimepurl
%attr(-,root,root) /usr/bin/text2latex
%attr(-,root,root) /usr/bin/cutlines
%attr(-,root,root) /usr/bin/ertf2latex
%attr(-,root,root) /usr/bin/iseps
%attr(-,root,root) /usr/bin/printmim
%attr(-,root,root) /usr/bin/mimepfilo
%attr(-,root,root) /usr/bin/mailp
%attr(-,root,root) /usr/bin/newsp
%attr(-,root,root) /usr/bin/digestp
%attr(-,root,root) /usr/bin/filep
%attr(-,root,root) /usr/bin/filofaxp
%attr(-,root,root) /usr/bin/fileofaxpp
%attr(-,root,root) /usr/bin/franklinp
%attr(-,root,root) /usr/bin/proplanp
%attr(-,root,root) /usr/bin/timemanp
%attr(-,root,root) /usr/bin/timesysip
%attr(-,root,root) /usr/bin/timesyspp
%attr(-,root,root) /usr/man/man1/*
%attr(-,root,root) /usr/lib/mp/*
